%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name only-matching
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Check that two Perl files are version-locked
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AD/ADAMK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The the only manpage module provides a great deal of interesting and rich
functionality, allowing you to install multiple copies of modules
and limit the version of a module you load to various arbitrary
patterns.

However, installing it creates some additional directories to your
library tree for the multi-version support, and you have to be
explicit about the versions you want to be compatible with.

This means for the case where you have a script and a module
and it is important that no matter what happens with system paths
or @INC paths, the script always loads the matching module,
you need to change the code each revision to refer to the new
version, or you have to do something like...

  use only 'Foo' => $VERSION;

Like the only::latest manpage, only::matching is a task-specific version
of the only manpage for the specific case of having version-locked script
to module loading.

Instead of the above, you say...

  use only::matching 'Foo';

... and you are guaranteed to get the correctly matching module
version.

Because it only needs such limited and specific functionality
only::matching also removes the multiversion support and is
contained entirely in one small .pm file, to make bundling it a
little easier as well.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/o*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

